import { Point } from 'NetworkDiagram/layout';
import { GraphLogo } from 'components/common';
export interface IGraphConfig {
    gridUnit?: number;
    editorTheme?: string;
    toolbarPosition?: string;
    logo?: GraphLogo;
}
export declare class GraphConfig {
    DEFAULT_VERTEX_COLOR: string;
    EDGE_COLOR: string;
    UNSELECTED_COLOR: string;
    DEFAULT_VERTEX_RADIUS: number;
    gridUnit: number;
    editorTheme: string;
    toolbarPosition: string;
    logo: GraphLogo | undefined;
    constructor(props?: IGraphConfig);
    gridToPixel(point: Point): Point;
    pixelToGrid(point: Point): Point;
}
