import * as React from 'react';
import { Point, Rectangle, GraphElement } from 'NetworkDiagram/layout';
interface IGraphRendererProps {
    svgRef?: React.RefObject<SVGSVGElement>;
    animateTransition: boolean;
    actions: any;
}
export declare class GraphRenderer extends React.Component<IGraphRendererProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    private svgRef;
    constructor(props: any);
    dragSelection(offset: Point, initialPosition?: Point): void;
    dropSelection(): void;
    clearSelection(): void;
    selectElement(element: GraphElement | Array<GraphElement>, options?: any): void;
    selectArea(area: Rectangle): void;
    renderGroupings(): any;
    renderEdges(): any;
    renderVertices(): any;
    getEdgeCreateSourcePoint(): any;
    render(): JSX.Element;
}
export {};
