import * as React from 'react';
import { Entity } from '@alephdata/followthemoney';
import { Grouping } from 'NetworkDiagram/layout';
import './GroupingViewer.scss';
interface IGroupingViewerProps {
    grouping: Grouping;
    onEntitySelected: (entity: Entity) => void;
    onEntityRemoved: (grouping: Grouping, entity: Entity) => void;
    onColorSelected: (grouping: Grouping, color: string) => void;
    editMenu: any;
}
export declare class GroupingViewer extends React.PureComponent<IGroupingViewerProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    render(): JSX.Element;
}
export {};
