import React from 'react';
import { EntityChanges } from 'components/common/types';
import { Entity } from '@alephdata/followthemoney';
import './TableView.scss';
interface ITableViewProps {
    toggleTableView: () => void;
    fitToSelection: () => void;
}
export declare class TableView extends React.Component<ITableViewProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    constructor(props: ITableViewProps);
    onSelectionChange(entityIds: Array<string>, options: any): void;
    visitEntity(entity: Entity | string): void;
    onEntitiesUpdate(entityChanges: EntityChanges): void;
    render(): JSX.Element;
}
export {};
