import * as React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { Entity, Model, Property, Schema, Values } from '@alephdata/followthemoney';
interface IPropertyEditorProps extends WrappedComponentProps {
    entity: Entity;
    property: Property;
    onSubmit: (entity: Entity) => void;
    onChange?: (values: Values) => void;
    fetchEntitySuggestions?: (queryText: string, schemata?: Array<Schema>) => Promise<Entity[]>;
    resolveEntityReference?: (entityId: string) => Entity | undefined;
    createNewReferencedEntity?: (entityData: any) => Promise<Entity>;
    popoverProps?: any;
    model?: Model;
}
declare const _default: React.FC<import("react-intl").WithIntlProps<IPropertyEditorProps>> & {
    WrappedComponent: React.ComponentType<IPropertyEditorProps>;
};
export default _default;
