import React from 'react';
import { IWrappedElementProps } from 'embed/common';
import { GraphLayout, Viewport } from 'NetworkDiagram';
interface INetworkDiagramState {
    layout: GraphLayout;
    locale?: string;
    viewport: Viewport;
}
export default class NetworkDiagramWrapper extends React.Component<IWrappedElementProps, INetworkDiagramState> {
    constructor(props: IWrappedElementProps);
    componentDidMount(): void;
    updateLayout(layout: GraphLayout, historyModified?: boolean): void;
    updateViewport(viewport: Viewport): void;
    propagateUpdate({ layout, viewport }: {
        layout?: GraphLayout;
        viewport?: Viewport;
    }): void;
    render(): JSX.Element;
}
export {};
