import { Entity, Schema, Property, Values } from '@alephdata/followthemoney';
export declare const validationMessages: {
    invalidDate: {
        id: string;
        defaultMessage: string;
    };
    invalidUrl: {
        id: string;
        defaultMessage: string;
    };
    invalidCountry: {
        id: string;
        defaultMessage: string;
    };
    invalidTopic: {
        id: string;
        defaultMessage: string;
    };
    invalidPhone: {
        id: string;
        defaultMessage: string;
    };
    required: {
        id: string;
        defaultMessage: string;
    };
};
export declare function validate({ entity, property, values, schema, }: {
    entity?: Entity;
    property: Property;
    values: Values;
    schema: Schema;
}): any;
export declare function checkEntityRequiredProps(entityData: Entity): any;
