import { IGraphLayoutData } from './layout';
import { EntityChanges } from 'components/common/types';
interface IHistoryObject {
    layout: IGraphLayoutData;
    entityChanges?: EntityChanges;
}
export declare class History {
    static BACK: number;
    static FORWARD: number;
    isPooling: boolean;
    stack: Array<IHistoryObject>;
    current?: IHistoryObject;
    state: number;
    push(item: IHistoryObject): undefined;
    go(factor: number): IHistoryObject;
    getRevertedDistance(): number;
    canGoTo(factor: number): boolean;
    back(): IHistoryObject;
    forward(): IHistoryObject;
}
export {};
