import * as React from 'react';
import { PropertyType } from '@alephdata/followthemoney';
import { ISettingsData, Settings } from 'NetworkDiagram/layout';
import './SettingsDialog.scss';
interface ISettingsDialogProps {
    isOpen: boolean;
    toggleDialog: (settings?: ISettingsData) => void;
    settings: Settings;
}
interface ISettingsDialogState {
    pivotTypes: Array<string>;
}
export declare class SettingsDialog extends React.Component<ISettingsDialogProps, ISettingsDialogState> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    constructor(props: ISettingsDialogProps);
    componentDidUpdate(prevProps: ISettingsDialogProps): void;
    togglePivotType(type: string): void;
    renderPivotType: (type: PropertyType) => JSX.Element;
    render(): JSX.Element;
}
export {};
