import * as React from 'react';
import { Point } from 'NetworkDiagram/layout';
interface IEdgeDrawerProps {
    svgRef: React.RefObject<SVGSVGElement>;
    sourcePoint?: Point;
}
interface IEdgeDrawerState {
    targetPoint?: Point;
}
export declare class EdgeDrawer extends React.PureComponent<IEdgeDrawerProps, IEdgeDrawerState> {
    constructor(props: Readonly<IEdgeDrawerProps>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onMouseMove(e: MouseEvent): void;
    render(): JSX.Element | null;
}
export {};
