import * as React from 'react';
import { Edge, Vertex, Point } from 'NetworkDiagram/layout';
interface IEdgeRendererProps {
    edge: Edge;
    vertex1?: Vertex;
    vertex2?: Vertex;
    svgRef: React.RefObject<SVGSVGElement>;
    selectEdge: (edge: Edge, options?: any) => any;
    dragSelection: (offset: Point, initialPosition?: Point) => any;
    dropSelection: () => any;
}
export declare class EdgeRenderer extends React.PureComponent<IEdgeRendererProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    constructor(props: Readonly<IEdgeRendererProps>);
    onClick(e: React.MouseEvent): void;
    generatePath(vertex1: any, vertex2: any): {
        path: string;
        center: any;
    };
    render(): JSX.Element | null;
}
export {};
