import * as React from 'react';
import { IToolbarButtonGroup } from 'NetworkDiagram/toolbox';
import { History } from 'NetworkDiagram/History';
import './Toolbar.scss';
interface IToolbarProps {
    actions: any;
    history: History;
    showEditingButtons: boolean;
    searchText: string;
    tableView: boolean;
}
export declare class Toolbar extends React.Component<IToolbarProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    constructor(props: Readonly<IToolbarProps>);
    onSetInteractionMode(newMode: string): void;
    onPosition(type: string): void;
    itemRenderer(buttonGroup: IToolbarButtonGroup, visible: boolean): JSX.Element;
    overflowListRenderer(overflowItems: Array<IToolbarButtonGroup>): JSX.Element;
    render(): JSX.Element;
}
export {};
