import * as React from 'react';
export interface IToolbarButton {
    icon: string;
    helpText: string;
    disabled?: boolean;
    writeableOnly?: boolean;
    onClick?: (e?: any) => void;
    subItems?: Array<IToolbarButton>;
}
export declare type IToolbarButtonGroup = Array<IToolbarButton>;
interface IToolbarButtonGroupProps {
    buttonGroup: IToolbarButtonGroup;
    visible: boolean;
    editorTheme: string;
}
export declare class ToolbarButtonGroup extends React.PureComponent<IToolbarButtonGroupProps> {
    constructor(props: Readonly<IToolbarButtonGroupProps>);
    renderVisible(items: any): JSX.Element;
    renderHidden(items: any): any;
    render(): any;
}
export {};
