import * as React from 'react';
import './VertexMenu.scss';
interface IVertexMenuProps {
    isOpen: boolean;
    contents: any;
    actions: any;
    hideMenu: any;
}
export declare class VertexMenu extends React.Component<IVertexMenuProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    private menuRef;
    constructor(props: Readonly<IVertexMenuProps>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    getExpandOptionLabel(propString: string | undefined): {
        label: any;
        icon?: undefined;
    } | {
        label: any;
        icon: JSX.Element | null;
    } | undefined;
    handleClickOutside(e: MouseEvent): void;
    renderExpandOption: ({ count, property }: {
        count: number;
        property: string;
    }) => JSX.Element | null;
    renderExpand: () => JSX.Element | (JSX.Element | null)[];
    renderFull: () => JSX.Element;
    render(): JSX.Element | null;
}
export {};
