import * as React from 'react';
import { IItemListRendererProps, IItemRendererProps } from '@blueprintjs/select';
import { EdgeType } from 'types';
interface IEdgeTypeSelectProps {
    items: Array<EdgeType>;
    value?: EdgeType;
    onChange: (item: EdgeType) => void;
    placeholder: string;
}
declare class EdgeTypeSelect extends React.PureComponent<IEdgeTypeSelectProps> {
    constructor(props: any);
    getEdgeTypeIcon(type?: EdgeType): JSX.Element;
    renderEdgeTypeList: (props: IItemListRendererProps<EdgeType>) => JSX.Element;
    renderEdgeType: (type: EdgeType, { handleClick, modifiers }: IItemRendererProps) => JSX.Element;
    render(): JSX.Element;
}
export default EdgeTypeSelect;
