import * as React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { Entity as FTMEntity, Model } from '@alephdata/followthemoney';
import { ITypeEditorProps } from './common';
import './EntitySelect.scss';
interface IEntityTypeProps extends ITypeEditorProps, WrappedComponentProps {
    allowMultiple: boolean;
    values: Array<FTMEntity>;
    entitySuggestions: Array<FTMEntity>;
    isFetching: boolean;
    onQueryChange: (query: string) => void;
    createNewReferencedEntity?: (entityData: any) => Promise<FTMEntity>;
    referencedEntityRange?: string;
    noResultsText?: string;
    buttonProps?: any;
    model?: Model;
}
declare const _default: React.FC<import("react-intl").WithIntlProps<IEntityTypeProps>> & {
    WrappedComponent: React.ComponentType<IEntityTypeProps>;
};
export default _default;
