import React from 'react';
import { Entity as FTMEntity } from '@alephdata/followthemoney';
export interface FTMEntityExtended extends FTMEntity {
    latinized?: any;
}
interface IEntityLabelProps {
    entity: FTMEntityExtended;
    icon?: boolean;
    iconSize?: number;
    truncate?: number;
    className?: string;
    transliterate?: boolean;
}
declare class EntityLabel extends React.Component<IEntityLabelProps> {
    render(): JSX.Element | null;
}
declare class Entity extends React.Component {
    static Label: typeof EntityLabel;
}
export default Entity;
